
.sidebar {
    flex-direction: column;
    padding: 0;
    height: 100%;
    justify-content: flex-start;
    color: $sidebar-color;

    .navbar-brand {
        padding: $sidebar-brand-padding;
        background-color: rgba(0,0,0, .1);
        width: 100%;
        text-align: center;
        margin: { right: 0; };   
    }

    [class*="power"] {
        &:hover {
            color: $red;
            box-shadow: none;
            cursor: pointer;
        }
    }

    .navbar-nav {
        align-items: center;
        width: 100%;
        .nav-item {
            width: 100%;
            text-align: center;
            margin: { bottom: 8px; };

            .nav-link {
                i {
                    width: 100%;
                    height: 100%;
                    display: inline-block;
                    font-size: $sidebar-icon-size;
                    cursor: pointer;
                    @include hover-focus-active {
                        box-shadow: inset 3px 0 $sidebar-hover-color;
                        color: $sidebar-hover-color;
                    }

                    &.active {
                        box-shadow: inset 60px 0 $sidebar-hover-color;
                        @media screen and (min-width: 0) and (max-width: 767px) and (orientation: landscape) {
                            box-shadow: inset 100px 0 $sidebar-hover-color;
                        }
                        color: $sidebar-color-focus;
    
                        &, &:hover {
                            border-left: none;
                        }
                    }
                }
            }
        }
    }
}

@media screen and (min-width: 0) and (max-width: 767px) {
    .sidebar {
        position: relative;
        .nav {
            .nav-item {
                box-shadow: 0 1px 0 rgba($gray, .2);
                
                &:hover, &:active, &.active {
                    border-top: 1px solid #0bb;
                    border-bottom: 1px solid #0bb;
                    border-right: 3px solid #0bb;
                    transition: border .1s linear;
                }
            }
        }

        .navbar-nav {
            @media (orientation: landscape) {
                flex-direction: row;
            }
        }

        .toggle-mobile {
            position: absolute;
            top: 0;
            left: 100%;
            display: block;
            padding: 8px 4px;
            background: $sidebar;
            font-size: 16px;
            cursor: pointer;

            i {
                color: #f1f1f1;
            }
        }
    }
}

